#- Ejemplo nº 01 del curso: vamos a hacer memes con el pkg "meme"
#- repo del paquete:  https://github.com/GuangchuangYu/meme/

#- logicamente, para poder usar el paquete, este tiene q estar instalado y cargado
library(meme)    #- install.packages("meme")

#- primer meme: la foto está dentro del package "meme" -------------------------
my_foto <- system.file("success.jpg", package = "meme") #- fijate q my_foto es la ruta al archivo "succes.jpg"
my_foto

#-  usamos la función "meme" para hacer el meme
#- la función tiene varios argumentos (separados por comas)
meme(my_foto, "claro q puedes!!!", "Tú puedes aprender R!!", size = 0.8, color = "white", vjust = 0.93)


#- segundo meme: usamos una foto que está en internet --------------------------
my_foto <- "https://i1.wp.com/production-wordpress-assets.s3.amazonaws.com/blog/wp-content/uploads/2013/03/wisdom_of_the_ancients-1.png?resize=485%2C270&ssl=1"

meme(my_foto, "SÍ q puedes!!!", "Tú puedes aprender R!!", size = 2.0 , color = "purple")


#- tercer meme: utilizamos una foto de nuestro ordenador. La foto está en "./imagenes/NV.jpg" ----
#- fijate que como estamos trabajando con un Rproject usamos una ruta relativa
my_foto <- "./imagenes/NV.jpg"
my_foto <- here::here("imagenes", "NV.jpg")  #- tb podemos usar el paquete "here" para crear las rutas
meme(my_foto, "SÍ q puedes!!!", "Tú puedes aprender R!!", size = 2.0 , color = "purple")





#- Por cierto, hay paquetes más completos para hacer memes, pero este seguro que nos funcionaba. Si te interesa el tema mira este post: http://jenrichmond.rbind.io/post/making-memes-in-r/
#- entre otros paquetes, habla del pkg memer: https://github.com/sctyner/memer

#- pkg memer -------------------------------------------------------------------
#- devtools::install_github("sctyner/memer")
library(tidyverse)

memer::meme_get("DistractedBf") %>% memer::meme_text_distbf("tidyverse", "new R users", "base R")
memer::meme_explain("DistractedBf") #- podemos ver la historia/origen de un meme

memer::meme_get("AgnesWink") %>% memer::meme_text_bottom("No hace falta que curreís en casa, \n con las clases sobra!!!")

memer::meme_get("AnakinPadmeRight") 
